Package org.eclipse.debug.ui.actions

# Class AbstractLaunchToolbarAction

java.lang.Object
org.eclipse.debug.ui.actions.AbstractLaunchHistoryAction
org.eclipse.debug.ui.actions.AbstractLaunchToolbarAction

All Implemented Interfaces:
  `org.eclipse.debug.internal.ui.ILaunchHistoryChangedListener`, `IActionDelegate`, `IActionDelegate2`, `IWorkbenchWindowActionDelegate`, `IWorkbenchWindowPulldownDelegate`, `IWorkbenchWindowPulldownDelegate2`

public class AbstractLaunchToolbarAction extends AbstractLaunchHistoryAction
A launch history action that also includes launch shortcut actions (run/debug as), and an action to open the launch configuration dialog.

Clients may subclass this class.

Since:
  2.1

## Field Summary

### Fields inherited from class org.eclipse.debug.ui.actions.AbstractLaunchHistoryAction

`fRecreateMenu`

## Constructor Summary

Constructors
Constructor
Description
`AbstractLaunchToolbarAction(String launchGroupIdentifier)`
Constructs a launch toolbar action.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fillMenu(Menu menu)`
Fills the drop-down menu with favorites and launch history, launch shortcuts, and an action to open the launch configuration dialog.
`protected IAction`
`getOpenDialogAction()`
Returns an action to open the launch dialog
`void`
`run(IAction action)`
Launch the last launch, or open the launch config dialog if none.
`protected void`
`runInternal(IAction action, boolean isShift)`

### Methods inherited from class org.eclipse.debug.ui.actions.AbstractLaunchHistoryAction

`addSeparator, addToMenu, dispose, getAction, getFavorites, getHistory, getLastLaunch, getLaunchGroupIdentifier, getLaunchHistory, getMenu, getMenu, getMode, getToolTip, init, init, launchHistoryChanged, runWithEvent, selectionChanged, updateTooltip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractLaunchToolbarAction

public AbstractLaunchToolbarAction(String launchGroupIdentifier)
Constructs a launch toolbar action.

Parameters:
  `launchGroupIdentifier` - unique identifier of the launch group extension that this action displays a launch history, shortcuts, and launch configuration dialog for.

## Method Details

### fillMenu

protected void fillMenu(Menu menu)
Fills the drop-down menu with favorites and launch history, launch shortcuts, and an action to open the launch configuration dialog.

Overrides:
  `fillMenu` in class `AbstractLaunchHistoryAction`
Parameters:
  `menu` - the menu to fill

### getOpenDialogAction

protected IAction getOpenDialogAction()
Returns an action to open the launch dialog

Returns:
  the new `OpenLaunchDialogAction`
Since:
  3.1

### run

public void run(IAction action)
Launch the last launch, or open the launch config dialog if none.

Specified by:
  `run` in interface `IActionDelegate`
Overrides:
  `run` in class `AbstractLaunchHistoryAction`
Parameters:
  `action` - the action proxy that handles the presentation portion of the action
See Also:
  - `IActionDelegate.run(org.eclipse.jface.action.IAction)`

### runInternal

protected void runInternal(IAction action, boolean isShift)

Overrides:
  `runInternal` in class `AbstractLaunchHistoryAction`